invalidate_inode_pages2_range
Prev | More Memory Management Functions | Next

## Name

invalidate_inode_pages2_range — remove range of pages from an address_space

## Synopsis

`int invalidate_inode_pages2_range (` | struct address_space * | mapping,
| pgoff_t | start,
| pgoff_t | end`)`;

## Arguments

`mapping`

  the address_space

`start`

  the page offset 'from' which to invalidate

`end`

  the page offset 'to' which to invalidate (inclusive)

## Description

Any pages which are found to be mapped into pagetables are unmapped prior to invalidation.

Returns -EIO if any pages could not be invalidated.

Prev | Up | Next
invalidate_mapping_pages | Home | invalidate_inode_pages2